> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List promotions

> List promotions

### Query parameters

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

<ParamField query="status" type="string" />

### Responses

<ResponseField name="200" type="PromotionListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/promotions' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "promotions": [
      {
        "code": null,
        "created_at": "string",
        "discount_value": null,
        "id": "string",
        "name": "string",
        "promotion_type": "string",
        "status": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
